Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Create Opportunity
POST https://services.leadconnectorhq.com/opportunities/

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Body

pipelineId
string
default:"VDm7RPYC2GLUvdpKmBfC"
required
pipeline Id
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
name
string
default:"First Opps"
required
pipelineStageId
string
default:"7915dedc-8f18-44d5-8bc3-77c04e994a10"
status
string
required
Posibles valores: ‘open’, ‘won’, ‘lost’, ‘abandoned’, ‘all’
contactId
string
default:"mTkSCb1UBjb5tk4OvB69"
required
monetaryValue
number
default:"220"
assignedTo
string
default:"082goXVW3lIExEQPOnd3"
customFields
object[]
Add custom fields to opportunities.

Respuestas

opportunity
object
{
  "opportunity": {
    "id": "yWQobCRIhRguQtD2llvk",
    "name": "testing",
    "monetaryValue": 500,
    "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
    "pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
    "assignedTo": "zT46WSCPbudrq4zhWMk6",
    "status": "open",
    "source": "",
    "lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
    "lastStageChangeAt": "2021-08-03T04:55:17.355Z",
    "lastActionDate": "2021-08-03T04:55:17.355Z",
    "indexVersion": 1,
    "createdAt": "2021-08-03T04:55:17.355Z",
    "updatedAt": "2021-08-03T04:55:17.355Z",
    "contactId": "zT46WSCPbudrq4zhWMk6",
    "locationId": "zT46WSCPbudrq4zhW",
    "contact": {
      "id": "byMEV0NQinDhq8ZfiOi2",
      "name": "John Deo",
      "companyName": "Tesla Inc",
      "email": "john@deo.com",
      "phone": "+1202-555-0107",
      "tags": [
        "string"
      ]
    },
    "notes": [
      []
    ],
    "tasks": [
      []
    ],
    "calendarEvents": [
      []
    ],
    "lostReasonId": "zT46WSCPbudrq4zhWMk6",
    "customFields": [
  // truncado: 10 lineas mas
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/opportunities/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "First Opps",
  "pipelineStageId": "7915dedc-8f18-44d5-8bc3-77c04e994a10",
  "status": "open",
  "contactId": "mTkSCb1UBjb5tk4OvB69",
  "monetaryValue": 220,
  "assignedTo": "082goXVW3lIExEQPOnd3",
  "customFields": []
}'